import { html as l } from "lit";
import { property as p } from "lit/decorators.js";
import { PieIconComponent as f } from "./PieIconComponent.js";
import { safeCustomElement as h } from "@justeattakeaway/pie-webc-core";
var v = Object.defineProperty, g = Object.getOwnPropertyDescriptor, a = (c, e, r, i) => {
  for (var t = i > 1 ? void 0 : i ? g(e, r) : e, s = c.length - 1, n; s >= 0; s--)
    (n = c[s]) && (t = (i ? n(e, r, t) : n(t)) || t);
  return i && t && v(e, r, t), t;
};
let o = class extends f {
  constructor() {
    super(...arguments), this.size = 32, this.defaultClasses = "c-pieIcon c-pieIcon--notificationLarge", this.class = "c-pieIcon c-pieIcon--notificationLarge", this.name = "IconNotificationLarge";
  }
  render() {
    return l`<svg width="${this._svgWidth}" height="${this._svgHeight}" fill="${this.fill}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" viewBox="0 0 32 32" class="c-pieIcon c-pieIcon--notificationLarge"><path d="m27.375 21.766-.683-.682a9.554 9.554 0 0 1-2.817-6.834v-.875a7.875 7.875 0 0 0-7-7.822V2.875h-1.75v2.678a8.137 8.137 0 0 0-7 8.146v.551a9.555 9.555 0 0 1-2.817 6.808l-.683.708v2.984h6.869a4.506 4.506 0 1 0 9.012 0h6.869v-2.984ZM16 27.375a2.765 2.765 0 0 1-2.765-2.625h5.53A2.765 2.765 0 0 1 16 27.375ZM25.625 23H6.375v-.516l.166-.167a11.28 11.28 0 0 0 3.334-8.067v-.578a6.361 6.361 0 0 1 5.512-6.422 6.072 6.072 0 0 1 4.726 1.549 6.126 6.126 0 0 1 2.012 4.576v.875a11.28 11.28 0 0 0 3.334 8.041l.166.166V23Z"></path></svg>`;
  }
};
a([
  p({ type: String, reflect: !0 })
], o.prototype, "size", 2);
a([
  p({ type: String, reflect: !0 })
], o.prototype, "class", 2);
o = a([
  h("icon-notification-large")
], o);
export {
  o as IconNotificationLarge
};
